import { p as proxyCustomElement, H, h } from './p-BhqVmlhr.js';
import { d as defineCustomElement$4 } from './p-Cv0O724A.js';
import { d as defineCustomElement$3 } from './p-D4vDJpT6.js';
import { d as defineCustomElement$2 } from './p-HtJMEkmy.js';

const DgaSearchBoxUsage$1 = /*@__PURE__*/ proxyCustomElement(class DgaSearchBoxUsage extends H {
    constructor() {
        super();
        this.__registerHost();
        this.value = 'test';
    }
    render() {
        return (h("div", { key: '1c947f1efcff08190075355530399b345891da9e' }, h("h1", { key: '8a45266e662c317e3713db5b2ac7e30151a5aa6e' }, "Search Box Example"), h("div", { key: '84b2b3128efce5a8c479a041eb7fe97a0a82512f', style: { padding: '50px' } }, h("div", { key: '0a70679e1861dabff374411a00409632c7aa5cd1', style: { display: "flex", flexDirection: "column", gap: "16px" } }, h("dga-search-box", { key: '9ccd02f80a4cbbfc690265f59cce5fd5c616c129', variant: 'default', value: this.value, placeholder: 'test placeholder', onChange: (e) => {
                const target = e.target;
                console.log("search changed");
                this.value = target.value;
            }, onInput: (e) => {
                console.log("search changed", e.target.value);
                this.value = e.target.value;
            } })))));
    }
}, [0, "dga-search-box-usage", {
        "value": [32]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["dga-search-box-usage", "dga-icon-v2", "dga-search-box", "dga-tooltip"];
    components.forEach(tagName => { switch (tagName) {
        case "dga-search-box-usage":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, DgaSearchBoxUsage$1);
            }
            break;
        case "dga-icon-v2":
            if (!customElements.get(tagName)) {
                defineCustomElement$4();
            }
            break;
        case "dga-search-box":
            if (!customElements.get(tagName)) {
                defineCustomElement$3();
            }
            break;
        case "dga-tooltip":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
    } });
}

const DgaSearchBoxUsage = DgaSearchBoxUsage$1;
const defineCustomElement = defineCustomElement$1;

export { DgaSearchBoxUsage, defineCustomElement };
